Subject: Re: [Tools-discuss] [AVTCORE] IDNits issue with draft-ietf-avtcore-multi-party-rtt-mix-12

From: Carsten Bormann <[email-masked]>
Date: Thu, 11 Feb 2021 08:27:31 +0100

Reply-To set to tools-discuss.

On 2021-02-11, at 07:53, Gunnar Hellström <[email-masked]> wrote:
> 
> Carsten,
> 
> Yes, the allowed "ö" in the author name in a reference was not borderline.
> 
> I tried with ignoring the idnits warning. But then the submission tool refused to submit.

Did it give an error message?  The clue may be in there.

> I gave it both the .xml and the .txt files. Maybe it would have been accepted if I only provided the .xml ?  

That is generally now what you want to do, indeed.
You may want to convert it into RFCXMLv3 as well in order to get proper HTML output;

  xml2rfc --v2v3 my-draft.xml

…gives you an my-draft.v2v3.xml that you can submit.
The submission page does not currently go to the length of revealing this (or anything else you need to know to submit in an RFCXMLv3 world).

> Will the submission tool also be updated soon to support and guide submission of files with non-ascii?

It sure already supports beyond-ASCII input in those cases where RFC 7997 allows it, and author names (as well as figures) are among those.

> For me, I could very well continue to use "Hellstrom" as my IETF name

But that is not your name.

> but was offered to use "Hellström" as full name in RFC 8865 and thereby in its reference. Now I do not want that to cause submission problems if we are in a transition phase to a non-ascii world.

Well, the reference is in that RFC.  That RFC will not be changed, so anybody referencing that RFC would have a problem if that were indeed a problem.
And 8899, 8893, 8790, ...

> Apologies for continuing on this non-avtcore topic here. We should move to a more suitable group.

(Please send any reply to tools-discuss and not avtcore.)

Grüße, Carsten

> 
> Thanks,
> 
> Gunnar
> 
> Den 2021-02-11 kl. 00:29, skrev Carsten Bormann:
>> Folks, the purpose of draft writing is not to placate idnits, but to get work done.
>> 
>> Changing [] into () just to get one idnits warning less strikes me as borderline.
>> 
>> Asking for a name to be mangled (o for ö) because idnits is pointing out the ö just in case, is no longer borderline…
>> No, the reference xml is exactly right, and nothing should be changed here.
>> 
>> Please simply ignore warnings that are irrelevant/false positives.
>> An updated idnits is coming soon...
>> 
>> Apologies for this public service message.
>> 
>> Grüße, Carsten
>> 
>> 
>>> On 2021-02-10, at 21:36, Gunnar Hellström <[email-masked]> wrote:
>>> 
>>> I submitted version -13,  .xml and .txt, but needed first to hand-edit the .txt file to replace ö with o to get it accepted.
>>> 
>>> I am afraid the reference xml for RFC 8865 needs to be changed to ASCII and eventually the nits and submission tools modified to accept non-ascii where it is allowed.
>>> 
>>> I will report to the tools group.
>>> 
>>> Gunnar
>>> 
>>> Den 2021-02-10 kl. 20:34, skrev Gunnar Hellström:
>>>> I made the changes to reduce the nits errors and comments.
>>>> 
>>>> A new nits warning appeared:
>>>> 
>>>>  Checking nits according to https://www.ietf.org/id-info/1id-guidelines.txt
>>>> :
>>>>   ----------------------------------------------------------------------------
>>>> 
>>>>   == There is 1 instance of lines with non-ascii characters in the document.
>>>> 
>>>> This refers to the reference of the new RFC 8865, where I was offered to spell my last name properly "Hellström" in the author element.
>>>> 
>>>>    [RFC8865]  Holmberg, C. and G. Hellström, "T.140 Real-Time Text
>>>>               Conversation over WebRTC Data Channels", RFC 8865,
>>>>               DOI 10.17487/RFC8865, January 2021,
>>>>               <https://www.rfc-editor.org/info/rfc8865>.
>>>> 
>>>> I assume that this is manageable, so I intend to submit.
>>>> 
>>>> 
>>>> 
>>>> Gunnar
>>>> 
>>>> 
>>>> -- 
>>>> Gunnar Hellström
>>>> GHAccess
>>>> 
>>>> [email-masked]
>>>> 
>>>> 
>>>> Den 2021-02-10 kl. 18:37, skrev Bernard Aboba:
>>>>> You might consider using () instead of [] to avoid confusing IDnits.
>>>>> 
>>>>> On Wed, Feb 10, 2021 at 8:14 AM Gunnar Hellström <[email-masked]>             wrote:
>>>>> Bernard,
>>>>> 
>>>>> Yes, I can and will resubmit with the issues fixed.
>>>>> 
>>>>> However, one warning was because the nits check found what looks like a reference in brackets, but is part of a symbolic screen picture example containing a source label for text in brackets.
>>>>> 
>>>>> This was the warning:
>>>>> 
>>>>> ==================================================================
>>>>>  == Missing Reference: 'Bob' is mentioned on line 1427, but not
>>>>>      defined
>>>>> '|[mix][Bob] And I on Wednesday evening.        | |...'
>>>>> ===================================================================
>>>>> 
>>>>> May I keep the format of this picture as it is?
>>>>> 
>>>>> Regarding the comment about pre-RFC5378 work, I have the required grants to the BCP78 rights.
>>>>> 
>>>>> Thanks,
>>>>> 
>>>>> Gunnar
>>>>> 
>>>>> 
>>>>> 
>>>>> Den 2021-02-10 kl. 09:01, skrev Bernard Aboba:
>>>>>> Just ran IDnits on the document and got an error (see below).  Can you fix the issues and resubmit the document?
>>>>>> idnits 2.16.05
>>>>>> 
>>>>>> 
>>>>>> -- 
>>>>>> Gunnar Hellström
>>>>>> GHAccess
>>>>>> 
>>>>>> [email-masked]
>>> -- 
>>> Gunnar Hellström
>>> GHAccess
>>> 
>>> [email-masked]
>>> _______________________________________________
>>> Audio/Video Transport Core Maintenance
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/avt
> 
> -- 
> Gunnar Hellström
> GHAccess
> [email-masked]

---

From: Gunnar Hellström <[email-masked]>
Date: Thu, 11 Feb 2021 10:26:07 +0100

By the xml for a reference to RFC 8865, I got an "ö" from the author 
name into a draft. This was from the xml2rfc process.

IDnits warned, and when I tried to submit both the xml (v3) file and the 
txt file, the submit tool refused with error message and red frames in 
the form.

I edited the txt file to replace the "ö" with an "o", and succeeded to 
submit draft-ietf-avtcore-multi-party-rtt-mix-13 in both xml and txt format.

By that, the result is that the html file contains "ö" but the txt file 
has "o" in the same place. No problem in this case, but it would be good 
if the submission procedure did not cause an error.

RFC 8865 has "ö" even in the .txt file, so apparently RFC 7997 is in 
force in practice.

Questions:

1. Can this problem be bypassed for now by just submitting the xml file 
including a reference to RFC 8865?

2. Will the submit tool be updated to allow non-ascii contents in txt 
files, so that others referencing e.g. RFC 8865 will not be stopped by 
errors in the submission?

3. RFC 7997 recommends to let a non-ascii string be followed by a 
corresponding ascii string in parenthesis. That will look awkward for 
this case where the non-ascii is "Hellström" and the evident 
corresponding string is "Hellstrom". Should the author in RFC 8865 have 
been "Hellström (Hellstrom)" or is it up to the editor to assess the 
need for the explaining parenthesis?

-------------------------------------------------------------------------------

Regards

Gunnar Hellström

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 11 Feb 2021 10:55:33 +0100

(My) Answers:

> 1. Can this problem be bypassed for now by just submitting the xml file including a reference to RFC 8865?

Yes.

> 2. Will the submit tool be updated to allow non-ascii contents in txt files, so that others referencing e.g. RFC 8865 will not be stopped by errors in the submission?

(Don’t know.)

> 3. RFC 7997 recommends to let a non-ascii string be followed by a corresponding ascii string in parenthesis. That will look awkward for this case where the non-ascii is "Hellström" and the evident corresponding string is "Hellstrom". Should the author in RFC 8865 have been "Hellström (Hellstrom)" or is it up to the editor to assess the need for the explaining parenthesis?

The current state, as hinted at in https://xml2rfc.tools.ietf.org/xml2rfc-doc.html
is that Latin script is generally allowed in the places where RFC 7991 uses the term ASCII, except in running text (a specification limitation that I hope will soon be addressed); and that non-Latin script requires an ASCII equivalent, so that if somebody is called “毛泽东” the reader gets to know that they could try to remember that name as “Mao Zedong”.

The ö in Hellström is Latin script, as are č and ć in the name Mališa Vučinić, so you can “read” that (even if you have no clue what the difference in pronunciation is going to be :-)

Grüße, Carsten

---

From: Gunnar Hellström <[email-masked]>
Date: Thu, 11 Feb 2021 11:37:47 +0100

Thanks Carsten for good answers.

So, then the only remaining issue is if the submission form can be 
modified to prefer xml and not accept both xml and txt files. Or the 
tool be modified to accept non-ascii in txt files.

(and also for IDnits to not warn for non-ascii as you promised in 
earlier discussions is on its way)

Gunnar